{{/*
Полное имя для сервиса migrator
<Имя инстанса> = Release.Name
*/}}
{{- define "migrator.fullname" -}}
{{- printf "%s-%s" "migrator" .Release.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
 метка migrator
*/}}
{{- define "migrator.labels" -}}
app.kubernetes.io/component: migrator
{{ include "migrator.selectorLabels" . }}
{{- end }}

{{/*
Selector migrator
*/}}
{{- define "migrator.selectorLabels" -}}
app.kubernetes.io/instance: {{ .Release.Name }}
app.kubernetes.io/name: {{ .Chart.Name }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
app: {{ include "migrator.fullname" . }}
{{- end }}

{{/*
Имя configMap для migrator
*/}}
{{- define "migrator.config" -}}
{{- printf "%s-%s" "migrator" .Release.Name  | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}
